import { PluginFunction } from 'vue';
import VueRouter from 'vue-router';
import { AxiosInstance } from 'axios';

export interface CasAuthenticationOptions {
    appIsAllAuth?: boolean;
    authCasLogoutUrl?: string;
    jwtServerUrl?: string;
    serverCAS?: string;
    tokenErrorRoutes?: {
        default: string;
        [status: string]: string;
    };
}

export interface installOptions {
    router: VueRouter;
    axios: AxiosInstance;
    options?: CasAuthenticationOptions;
}

declare class CasAuthentication {
    static install: PluginFunction<installOptions>;
}

export default CasAuthentication;
